"""empty message

Revision ID: 2f05ff8e0f29
Revises: 33b7953d7721
Create Date: 2021-04-01 07:25:12.438858

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = '2f05ff8e0f29'
down_revision = '33b7953d7721'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('files_files',
    sa.Column('created', sa.DateTime(), nullable=False),
    sa.Column('updated', sa.DateTime(), nullable=False),
    sa.Column('id', postgresql.UUID(), nullable=False),
    sa.Column('uri', sa.TEXT(), nullable=False),
    sa.Column('storage_class', sa.String(length=1), nullable=True),
    sa.Column('size', sa.BIGINT(), nullable=True),
    sa.Column('checksum', sa.String(length=255), nullable=True),
    sa.Column('readable', sa.Boolean(), nullable=False),
    sa.Column('writable', sa.Boolean(), nullable=False),
    sa.Column('last_check_at', sa.DateTime(), nullable=False),
    sa.Column('last_check', sa.Boolean(), nullable=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('uri')
    )
    op.create_table('files_location',
    sa.Column('created', sa.DateTime(), nullable=False),
    sa.Column('updated', sa.DateTime(), nullable=False),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=20), nullable=False),
    sa.Column('uri', sa.String(length=255), nullable=False),
    sa.Column('default', sa.Boolean(), nullable=False),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('name')
    )
    op.create_table('files_bucket',
    sa.Column('created', sa.DateTime(), nullable=False),
    sa.Column('updated', sa.DateTime(), nullable=False),
    sa.Column('id', postgresql.UUID(), nullable=False),
    sa.Column('default_location', sa.Integer(), nullable=False),
    sa.Column('default_storage_class', sa.String(length=1), nullable=True),
    sa.Column('size', sa.BIGINT(), nullable=True),
    sa.Column('quota_size', sa.BIGINT(), nullable=True),
    sa.Column('max_file_size', sa.BIGINT(), nullable=True),
    sa.Column('locked', sa.Boolean(), nullable=False),
    sa.Column('deleted', sa.Boolean(), nullable=False),
    sa.ForeignKeyConstraint(['default_location'], ['files_location.id'], ondelete='RESTRICT'),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('files_object',
    sa.Column('created', sa.DateTime(), nullable=False),
    sa.Column('updated', sa.DateTime(), nullable=False),
    sa.Column('bucket_id', postgresql.UUID(), nullable=False),
    sa.Column('key', sa.Text(), nullable=False),
    sa.Column('version_id', postgresql.UUID(), nullable=False),
    sa.Column('file_id', postgresql.UUID(), nullable=True),
    sa.Column('_mimetype', sa.String(length=255), nullable=True),
    sa.Column('is_head', sa.Boolean(), nullable=False),
    sa.ForeignKeyConstraint(['bucket_id'], ['files_bucket.id'], ondelete='RESTRICT'),
    sa.ForeignKeyConstraint(['file_id'], ['files_files.id'], ondelete='RESTRICT'),
    sa.PrimaryKeyConstraint('bucket_id', 'key', 'version_id')
    )
    op.create_index(op.f('ix_files_object__mimetype'), 'files_object', ['_mimetype'], unique=False)
    op.create_table('records_buckets',
    sa.Column('record_id', postgresql.UUID(), nullable=True),
    sa.Column('bucket_id', postgresql.UUID(), nullable=True),
    sa.ForeignKeyConstraint(['bucket_id'], ['files_bucket.id'], ),
    sa.ForeignKeyConstraint(['record_id'], ['post.id'], ),
    sa.PrimaryKeyConstraint('record_id', 'bucket_id')
    )
    op.alter_column('smtp_logs', 'email',
               existing_type=sa.TEXT(),
               nullable=False)
    op.alter_column('smtp_logs', 'status',
               existing_type=sa.TEXT(),
               nullable=False)
    op.alter_column('smtp_logs', 'timestamp',
               existing_type=postgresql.TIMESTAMP(),
               nullable=False)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('smtp_logs', 'timestamp',
               existing_type=postgresql.TIMESTAMP(),
               nullable=True)
    op.alter_column('smtp_logs', 'status',
               existing_type=sa.TEXT(),
               nullable=True)
    op.alter_column('smtp_logs', 'email',
               existing_type=sa.TEXT(),
               nullable=True)
    op.drop_table('records_buckets')
    op.drop_index(op.f('ix_files_object__mimetype'), table_name='files_object')
    op.drop_table('files_object')
    op.drop_table('files_bucket')
    op.drop_table('files_location')
    op.drop_table('files_files')
    # ### end Alembic commands ###
